Page MenuHomePhabricator

Lack of toolbar icons leads to spammy meaningless log messages.
Closed, ResolvedPublic

Description

I'm getting that usual spammed error message from latest git -

ERR<26567>:evas_main lib/evas/canvas/evas_object_smart.c:911 _evas_object_smart_need_recalculate_set() Object 0x80000017a00000be is not stable during recalc loop

After poking around, I tracked it to lack of icons in elm_toolbar_item_append() calls. Leave out one icon, you get three errors. Leave out a bunch, you get a lot. An icon on every item, no errors.

It would help to track down these constant spammy messages if they gave some clue which object is having the issues, I mean they are smart objects apparently, they should be able to figure that out.

onefang created this task.Feb 5 2016, 4:22 PM
onefang updated the task description. (Show Details)
onefang raised the priority of this task from to Incoming Queue.
onefang added a project: Restricted Project.
onefang added a subscriber: onefang.
stefan_schmidt edited projects, added efl; removed Restricted Project.Jul 20 2016, 7:27 AM
stefan_schmidt triaged this task as Normal priority.Feb 10 2017, 6:32 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
q66 edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:30 AM
Herald closed this task as Resolved. · View Herald TranscriptJan 15 2019, 10:02 AM

Ho Ho Ho! This issue was fixed by Santa!